=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_install:
	mkdir -p debian/kmail/etc/apparmor.d
	cp debian/kmail-apparmor debian/kmail/etc/apparmor.d/usr.bin.kmail
	dh_apparmor --profile-name=usr.bin.kmail -pkmail

override_dh_auto_test:
	- xvfb-run -- dh_auto_test --no-parallel
