=== debian/control ===
Source: kmail
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           Michael Meskes <meskes@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Eshat Cakar <info@eshat.de>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kauth-dev,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kcolorscheme-dev,
               kf6-kcompletion-dev,
               kf6-kconfig-dev,
               kf6-kcontacts-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdnssd-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-kholidays-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kitemviews-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kservice-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-ktextaddons-dev,
               kf6-ktexteditor-dev,
               kf6-ktexttemplate-dev,
               kf6-ktextwidgets-dev,
               kf6-kuserfeedback-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-kxmlgui-dev,
               kf6-prison-dev,
               kf6-sonnet-dev,
               kf6-syndication-dev,
               kpim6-akonadi-calendar-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-akonadi-search-dev,
               kpim6-calendarsupport-dev,
               kpim6-eventviews-dev,
               kpim6-grantleetheme-dev,
               kpim6-incidenceeditor-dev,
               kpim6-kcalendarutils-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kimap-dev,
               kpim6-kldap-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmbox-dev,
               kpim6-kmime-dev,
               kpim6-kontactinterface-dev,
               kpim6-kpimtextedit-dev,
               kpim6-ktnef-dev,
               kpim6-libgravatar-dev,
               kpim6-libkdepim-dev,
               kpim6-libkgapi-dev,
               kpim6-libkleo-dev,
               kpim6-libksieve-dev,
               kpim6-mailcommon-dev,
               kpim6-mailimporter-dev,
               kpim6-messagelib-dev,
               kpim6-pimcommon-dev,
               libassuan-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-graph-dev (>= 1.40.0-2),
               libgpgme11-dev,
               libgpgmepp-dev | libqgpgme7-dev,
               libkgantt-dev,
               libqgpgmeqt6-dev,
               libx11-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-phonon-dev,
               qt6-tools-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               qtkeychain-qt6-dev,
               shared-mime-info,
               xsltproc,
               zlib1g-dev
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kmail.git
Vcs-Browser: https://invent.kde.org/neon/kde/kmail
Maintainer: Neon CI <neon@kde.org>

Package: kmail
Section: mail
Architecture: any
Depends: kpim6-akonadi-search,
         kpim6-grantleetheme,
         kpim6-kdepim-runtime,
         qt6-webengine,
         ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Recommends: gnupg-agent,
            gnupg2,
            kdepim-themeeditors,
            kpim6-accountwizard,
            kpim6-kdepim-addons,
            mbox-importer,
            pim-data-exporter,
            pim-sieve-editor,
            pinentry-qt | pinentry-x11
Suggests: clamav,
          kaddressbook,
          kleopatra,
          procmail,
          spamassassin | bogofilter | spambayes (>= 1.0.4-6) | bsfilter | crm114
Provides: imap-client, mail-reader
Homepage: http://kontact.kde.org/kmail/
Breaks: ktnef (<< 4:24.08.3)
Replaces: ktnef (<< 4:24.08.3)
Description: full featured graphical email client
 KMail supports multiple accounts, mail filtering and email encryption.
 The program let you configure your workflow and it has good integration into
 KDE (Plasma Desktop) but is also useable with other Desktop Envionments.

Package: ktnef
Architecture: all
Section: oldlibs
Priority: extra
Depends: kmail, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
