## kmail 25.08.2+p24.04+vstable+git20251019.0905

=== debian/changelog ===
kmail (4:25.08.2+p24.04+vstable+git20251019.0905-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 09:05:22 +0000
