## kmail 25.08.2+p24.04+vstable+git20251021.0240

=== debian/changelog ===
kmail (4:25.08.2+p24.04+vstable+git20251021.0240-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 02:40:48 +0000
