## kmail 25.08.2+p24.04+vstable+git20251031.0553

=== debian/changelog ===
kmail (4:25.08.2+p24.04+vstable+git20251031.0553-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 05:53:59 +0000
