## kmail 25.08.2+p24.04+vunstable+git20251015.0716

=== debian/changelog ===
kmail (4:25.08.2+p24.04+vunstable+git20251015.0716-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 07:16:16 +0000
