## kmail 25.08.2+p24.04+vunstable+git20251020.0754

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,16 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 
 project(kmail VERSION ${PIM_VERSION})
 
 include(CheckIncludeFiles)
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 set(QT_REQUIRED_VERSION "6.8.0")
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
@@ -53,11 +54,11 @@
 include(ECMFeatureSummary)
 
 # Do NOT add quote
-set(KDEPIM_DEV_VERSION)
-set(RELEASE_SERVICE_VERSION "25.08.2")
+set(KDEPIM_DEV_VERSION alpha)
+set(RELEASE_SERVICE_VERSION "25.11.70")
 
 # Update it for each release
-set(KMAIL_RELEASE_VERSION_DATE "25.09.11") # yy.MM.dd
+set(KMAIL_RELEASE_VERSION_DATE "25.11.10") # yy.MM.dd
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -66,23 +67,23 @@
 
 set(KDEPIM_VERSION "${PIM_VERSION}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")
 
-set(AKONADI_MIMELIB_VERSION "6.5.2")
-set(AKONADI_CONTACT_VERSION "6.5.2")
-set(CALENDARUTILS_LIB_VERSION "6.5.2")
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
-set(KLDAP_LIB_VERSION "6.5.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
-set(KONTACTINTERFACE_LIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
-set(KPIMTEXTEDIT_LIB_VERSION "6.5.2")
-set(AKONADI_VERSION "6.5.2")
-set(KTNEF_LIB_VERSION "6.5.2")
+set(AKONADI_MIMELIB_VERSION "6.5.40")
+set(AKONADI_CONTACT_VERSION "6.5.40")
+set(CALENDARUTILS_LIB_VERSION "6.5.40")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
+set(KLDAP_LIB_VERSION "6.5.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
+set(KONTACTINTERFACE_LIB_VERSION "6.5.40")
+set(KMIME_LIB_VERSION "6.5.40")
+set(KPIMTEXTEDIT_LIB_VERSION "6.5.40")
+set(AKONADI_VERSION "6.5.40")
+set(KTNEF_LIB_VERSION "6.5.40")
 set(GPG_ERROR_REQUIRED_VERSION "1.36")
 
 set(KDEPIM_LIB_VERSION "${PIM_VERSION}")
 set(KDEPIM_LIB_SOVERSION "6")
 
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 option(
     KDEPIM_ENTERPRISE_BUILD
     "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client."
@@ -100,14 +101,14 @@
         Widgets
         WebEngineWidgets
 )
-set(LIBGRAVATAR_VERSION "6.5.2")
-set(MAILCOMMON_LIB_VERSION "6.5.2")
-set(MESSAGELIB_LIB_VERSION "6.5.2")
-set(LIBKLEO_LIB_VERSION "6.5.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
-set(LIBKDEPIM_LIB_VERSION "6.5.2")
-set(LIBKSIEVE_LIB_VERSION "6.5.2")
-set(AKONADI_SEARCH_VERSION "6.5.2")
+set(LIBGRAVATAR_VERSION "6.5.40")
+set(MAILCOMMON_LIB_VERSION "6.5.40")
+set(MESSAGELIB_LIB_VERSION "6.5.40")
+set(LIBKLEO_LIB_VERSION "6.5.40")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
+set(LIBKDEPIM_LIB_VERSION "6.5.40")
+set(LIBKSIEVE_LIB_VERSION "6.5.40")
+set(AKONADI_SEARCH_VERSION "6.5.40")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
 
 find_package(KPim6WebEngineViewer ${MESSAGELIB_LIB_VERSION} CONFIG REQUIRED)
@@ -251,6 +252,18 @@
             REQUIRED
 )
 
+find_package(KF6TextAddonsWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG)
+set_package_properties(
+    KF6TextAddonsWidgets
+    PROPERTIES
+        DESCRIPTION "Add text addons widget"
+        TYPE REQUIRED
+)
+
+if(${KF6TextAddonsWidgets_VERSION} VERSION_GREATER_EQUAL 1.8.44)
+    set(HAVE_TEXTUTILS_HAS_WHATSNEW_SUPPORT TRUE)
+endif()
+
 configure_file(config-enterprise.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-enterprise.h)
 
 include_directories(
@@ -263,7 +276,7 @@
 endif()
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
 ecm_set_disabled_deprecation_versions(QT 6.10.0
-    KF 6.16.0
+    KF 6.18.0
 )
 find_package(KF6UserFeedback ${KF_MIN_VERSION} CONFIG)
 set_package_properties(
